package com.prolog.cs.base.gsp.model;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-06-30 
 */

@ApiModel
@Table ( value ="dxi_gsp_destroy_request_record" )
public class DxiGspDestroyRequestRecord  implements Serializable {
	private static final long serialVersionUID =  8901831895581628025L;
	
	@Id
	@ApiModelProperty(value = "对接单据行号") 
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "对接单据行号") 
	@Column(value = "seqno")
	private String seqno;

	@ApiModelProperty(value = "单据ID") 
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "销毁单号") 
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "申请仓库ID") 
	@Column(value = "branchid")
	private String branchid;

	@ApiModelProperty(value = "申请仓库编码") 
	@Column(value = "branchcode")
	private String branchcode;

	@ApiModelProperty(value = "申请仓库名称") 
	@Column(value = "branchname")
	private String branchname;

	@ApiModelProperty(value = "货主ID") 
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主编码") 
	@Column(value = "consignorcode")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称") 
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "单据来源类型") 
	@Column(value = "ref_billtype")
	private String refBilltype;

	@ApiModelProperty(value = "销毁商品类别") 
	@Column(value = "defects_item_type")
	private String defectsItemType;

	@ApiModelProperty(value = "商品ID") 
	@Column(value = "itemid")
	private String itemid;

	@ApiModelProperty(value = "商品编码") 
	@Column(value = "itemcode")
	private String itemcode;

	@ApiModelProperty(value = "商品名称") 
	@Column(value = "itemname")
	private String itemname;

	@ApiModelProperty(value = "商品规格") 
	@Column(value = "item_specs")
	private String itemSpecs;

	@ApiModelProperty(value = "生产厂家") 
	@Column(value = "manufacturer")
	private String manufacturer;

	@ApiModelProperty(value = "父商品ID") 
	@Column(value = "parernt_itemid")
	private String parerntItemid;

	@ApiModelProperty(value = "商品类别ID--商品大类表ID") 
	@Column(value = "category_id")
	private String categoryId;

	@ApiModelProperty(value = "商品大类编码") 
	@Column(value = "type_code")
	private String typeCode;

	@ApiModelProperty(value = "商品大类名称") 
	@Column(value = "type_name")
	private String typeName;

	@ApiModelProperty(value = "批号") 
	@Column(value = "lot_no")
	private String lotNo;

	@ApiModelProperty(value = "批次号") 
	@Column(value = "batch_no")
	private String batchNo;

	@ApiModelProperty(value = "生产日期") 
	@Column(value = "pdate_from")
	private Date pdateFrom;

	@ApiModelProperty(value = "有效期至") 
	@Column(value = "valid_until")
	private Date validUntil;

	@ApiModelProperty(value = "备案凭证号") 
	@Column(value = "paper_no")
	private String paperNo;

	@ApiModelProperty(value = "批准文号") 
	@Column(value = "approval_number")
	private String approvalNumber;

	@ApiModelProperty(value = "产地") 
	@Column(value = "production_place")
	private String productionPlace;

	@ApiModelProperty(value = "商品条码") 
	@Column(value = "barcode")
	private String barcode;

	@ApiModelProperty(value = "包装数量") 
	@Column(value = "pack_size")
	private String packSize;

	@ApiModelProperty(value = "包装单位") 
	@Column(value = "pack_units")
	private String packUnits;

	@ApiModelProperty(value = "不合格原因") 
	@Column(value = "defects_reason")
	private String defectsReason;

	@ApiModelProperty(value = "销毁数量") 
	@Column(value = "destroy_qty")
	private String destroyQty;

	@ApiModelProperty(value = "销毁原因") 
	@Column(value = "destroy_reason")
	private String destroyReason;

	@ApiModelProperty(value = "销毁地点") 
	@Column(value = "destroy_site")
	private String destroySite;

	@ApiModelProperty(value = "销毁方式") 
	@Column(value = "destroy_mode")
	private String destroyMode;

	@ApiModelProperty(value = "运输工具") 
	@Column(value = "transport_facility")
	private String transportFacility;

	@ApiModelProperty(value = "运输人员") 
	@Column(value = "transport_person")
	private String transportPerson;

	@ApiModelProperty(value = "销毁后现场情况") 
	@Column(value = "destroy_site_cond")
	private String destroySiteCond;

	@ApiModelProperty(value = "销毁执行人") 
	@Column(value = "destroy_executor")
	private String destroyExecutor;

	@ApiModelProperty(value = "销毁监督人") 
	@Column(value = "destroy_supervisor")
	private String destroySupervisor;

	@ApiModelProperty(value = "监管部门人员") 
	@Column(value = "dapartment_staff")
	private String dapartmentStaff;

	@ApiModelProperty(value = "发起申请日期") 
	@Column(value = "bill_date")
	private Date billDate;

	@ApiModelProperty(value = "状态") 
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注") 
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "作废原因") 
	@Column(value = "closed_reason")
	private String closedReason;

	@ApiModelProperty(value = "字符扩展属性1") 
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "字符扩展属性2") 
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "字符扩展属性3") 
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "字符扩展属性4") 
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "字符扩展属性5") 
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "字符扩展属性6") 
	@Column(value = "attr_str6")
	private String attrStr6;

	@ApiModelProperty(value = "字符扩展属性7") 
	@Column(value = "attr_str7")
	private String attrStr7;

	@ApiModelProperty(value = "字符扩展属性8") 
	@Column(value = "attr_str8")
	private String attrStr8;

	@ApiModelProperty(value = "字符扩展属性9") 
	@Column(value = "attr_str9")
	private String attrStr9;

	@ApiModelProperty(value = "字符扩展属性10") 
	@Column(value = "attr_str10")
	private String attrStr10;

	@ApiModelProperty(value = "数字扩展属性1") 
	@Column(value = "attr_num1")
	private String attrNum1;

	@ApiModelProperty(value = "数字扩展属性2") 
	@Column(value = "attr_num2")
	private String attrNum2;

	@ApiModelProperty(value = "数字扩展属性3") 
	@Column(value = "attr_num3")
	private String attrNum3;

	@ApiModelProperty(value = "数字扩展属性4") 
	@Column(value = "attr_num4")
	private String attrNum4;

	@ApiModelProperty(value = "数字扩展属性5") 
	@Column(value = "attr_num5")
	private String attrNum5;

	@ApiModelProperty(value = "日期属性扩展1") 
	@Column(value = "attr_dte1")
	private Date attrDte1;

	@ApiModelProperty(value = "日期属性扩展2") 
	@Column(value = "attr_dte2")
	private Date attrDte2;

	@ApiModelProperty(value = "日期属性扩展3") 
	@Column(value = "attr_dte3")
	private Date attrDte3;

	@ApiModelProperty(value = "日期属性扩展4") 
	@Column(value = "attr_dte4")
	private Date attrDte4;

	@ApiModelProperty(value = "日期属性扩展5") 
	@Column(value = "attr_dte5")
	private Date attrDte5;

	@ApiModelProperty(value = "录入员") 
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "录入时间") 
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "修改人") 
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间") 
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称") 
	@Column(value = "p_enterprisename")
	private String enterprisename;

//	@ApiModelProperty(value = "业务时间")
//	@Column(value = "BILLDATE")
//	private Date billdate;
//
//	public Date getBilldate() {
//		return billdate;
//	}
//
//	public void setBilldate(Date billdate) {
//		this.billdate = billdate;
//	}
	
	public String getLineid() {
		return this.lineid;
	}

	public void setLineid(String lineid) {
		this.lineid = lineid;
	}

	public String getSeqno() {
		return this.seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return this.branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getRefBilltype() {
		return this.refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getDefectsItemType() {
		return this.defectsItemType;
	}

	public void setDefectsItemType(String defectsItemType) {
		this.defectsItemType = defectsItemType;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return this.itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return this.itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getItemSpecs() {
		return this.itemSpecs;
	}

	public void setItemSpecs(String itemSpecs) {
		this.itemSpecs = itemSpecs;
	}

	public String getManufacturer() {
		return this.manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getParerntItemid() {
		return this.parerntItemid;
	}

	public void setParerntItemid(String parerntItemid) {
		this.parerntItemid = parerntItemid;
	}

	public String getCategoryId() {
		return this.categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getTypeCode() {
		return this.typeCode;
	}

	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}

	public String getTypeName() {
		return this.typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getLotNo() {
		return this.lotNo;
	}

	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	public String getBatchNo() {
		return this.batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public Date getPdateFrom() {
		return this.pdateFrom;
	}

	public void setPdateFrom(Date pdateFrom) {
		this.pdateFrom = pdateFrom;
	}

	public Date getValidUntil() {
		return this.validUntil;
	}

	public void setValidUntil(Date validUntil) {
		this.validUntil = validUntil;
	}

	public String getPaperNo() {
		return this.paperNo;
	}

	public void setPaperNo(String paperNo) {
		this.paperNo = paperNo;
	}

	public String getApprovalNumber() {
		return this.approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getProductionPlace() {
		return this.productionPlace;
	}

	public void setProductionPlace(String productionPlace) {
		this.productionPlace = productionPlace;
	}

	public String getBarcode() {
		return this.barcode;
	}

	public void setBarcode(String barcode) {
		this.barcode = barcode;
	}

	public String getPackSize() {
		return this.packSize;
	}

	public void setPackSize(String packSize) {
		this.packSize = packSize;
	}

	public String getPackUnits() {
		return this.packUnits;
	}

	public void setPackUnits(String packUnits) {
		this.packUnits = packUnits;
	}

	public String getDefectsReason() {
		return this.defectsReason;
	}

	public void setDefectsReason(String defectsReason) {
		this.defectsReason = defectsReason;
	}

	public String getDestroyQty() {
		return this.destroyQty;
	}

	public void setDestroyQty(String destroyQty) {
		this.destroyQty = destroyQty;
	}

	public String getDestroyReason() {
		return this.destroyReason;
	}

	public void setDestroyReason(String destroyReason) {
		this.destroyReason = destroyReason;
	}

	public String getDestroySite() {
		return this.destroySite;
	}

	public void setDestroySite(String destroySite) {
		this.destroySite = destroySite;
	}

	public String getDestroyMode() {
		return this.destroyMode;
	}

	public void setDestroyMode(String destroyMode) {
		this.destroyMode = destroyMode;
	}

	public String getTransportFacility() {
		return this.transportFacility;
	}

	public void setTransportFacility(String transportFacility) {
		this.transportFacility = transportFacility;
	}

	public String getTransportPerson() {
		return this.transportPerson;
	}

	public void setTransportPerson(String transportPerson) {
		this.transportPerson = transportPerson;
	}

	public String getDestroySiteCond() {
		return this.destroySiteCond;
	}

	public void setDestroySiteCond(String destroySiteCond) {
		this.destroySiteCond = destroySiteCond;
	}

	public String getDestroyExecutor() {
		return this.destroyExecutor;
	}

	public void setDestroyExecutor(String destroyExecutor) {
		this.destroyExecutor = destroyExecutor;
	}

	public String getDestroySupervisor() {
		return this.destroySupervisor;
	}

	public void setDestroySupervisor(String destroySupervisor) {
		this.destroySupervisor = destroySupervisor;
	}

	public String getDapartmentStaff() {
		return this.dapartmentStaff;
	}

	public void setDapartmentStaff(String dapartmentStaff) {
		this.dapartmentStaff = dapartmentStaff;
	}

	public Date getBillDate() {
		return this.billDate;
	}

	public void setBillDate(Date billDate) {
		this.billDate = billDate;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getClosedReason() {
		return this.closedReason;
	}

	public void setClosedReason(String closedReason) {
		this.closedReason = closedReason;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getAttrStr6() {
		return this.attrStr6;
	}

	public void setAttrStr6(String attrStr6) {
		this.attrStr6 = attrStr6;
	}

	public String getAttrStr7() {
		return this.attrStr7;
	}

	public void setAttrStr7(String attrStr7) {
		this.attrStr7 = attrStr7;
	}

	public String getAttrStr8() {
		return this.attrStr8;
	}

	public void setAttrStr8(String attrStr8) {
		this.attrStr8 = attrStr8;
	}

	public String getAttrStr9() {
		return this.attrStr9;
	}

	public void setAttrStr9(String attrStr9) {
		this.attrStr9 = attrStr9;
	}

	public String getAttrStr10() {
		return this.attrStr10;
	}

	public void setAttrStr10(String attrStr10) {
		this.attrStr10 = attrStr10;
	}

	public String getAttrNum1() {
		return this.attrNum1;
	}

	public void setAttrNum1(String attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public String getAttrNum2() {
		return this.attrNum2;
	}

	public void setAttrNum2(String attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public String getAttrNum3() {
		return this.attrNum3;
	}

	public void setAttrNum3(String attrNum3) {
		this.attrNum3 = attrNum3;
	}

	public String getAttrNum4() {
		return this.attrNum4;
	}

	public void setAttrNum4(String attrNum4) {
		this.attrNum4 = attrNum4;
	}

	public String getAttrNum5() {
		return this.attrNum5;
	}

	public void setAttrNum5(String attrNum5) {
		this.attrNum5 = attrNum5;
	}

	public Date getAttrDte1() {
		return this.attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return this.attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public Date getAttrDte3() {
		return this.attrDte3;
	}

	public void setAttrDte3(Date attrDte3) {
		this.attrDte3 = attrDte3;
	}

	public Date getAttrDte4() {
		return this.attrDte4;
	}

	public void setAttrDte4(Date attrDte4) {
		this.attrDte4 = attrDte4;
	}

	public Date getAttrDte5() {
		return this.attrDte5;
	}

	public void setAttrDte5(Date attrDte5) {
		this.attrDte5 = attrDte5;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

}
